Cyberduck Mountain Duck CLI

#3012 closed defect (wontfix)

TLS Renegotiation fails

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone:
Component: ftp-tls Version: 3.1.2
Severity: critical Keywords:
Cc: d-r@… Architecture:
Platform:

Description (last modified by dkocher)

According to mod_gnutls documentation of ProFTPd, GnuTLS requires a TLS Renegotiation after 1GB of transferred data by default.

From http://www.proftpd.org/docs/directives/linked/config_ref_TLSRenegotiate.html:

By default, mod_tls will perform renegotiations if supported, on the control channel after 4 hours, and on the data channel after one gigabyte of transferred data. The default timeout for a renegotiation is 30 seconds.

When transferring a single file larger than 1GB through ftps:// Cyberduck will cancel the tranfer reporting a permission error.

Expected behavior: Cyberduck should comply with the renegotation request on the TLS data channel

Workaround: Set TLSRenegotiate none in proftpd.conf

Change History (5)

comment:1 Changed on Feb 22, 2009 at 6:29:12 PM by dkocher

  • Summary changed from Cyberduck vs. ProFTPd with GnuTLS - TLS Renegotiation fails to TLS Renegotiation fails

comment:2 Changed on Mar 11, 2009 at 9:15:34 PM by d-r@…

  • Cc d-r@… added

comment:3 Changed on Aug 24, 2010 at 12:23:22 PM by dkocher

  • Description modified (diff)

comment:5 Changed on Dec 10, 2010 at 2:41:06 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software